/*
 * Stairs
 * Copyright 2017 (c) Mark van Renswoude
 *
 * https://git.x2software.net/pub/Stairs
*/
#include "./global.h"

ConnectionSettings* connectionSettings = new ConnectionSettings();
bool connectionSettingsChanged = false;

SystemSettings* systemSettings = new SystemSettings();
bool systemSettingsChanged = false;

StepsSettings* stepsSettings = new StepsSettings();
bool stepsSettingsChanged = false;

TimeTriggerSettings* timeTriggerSettings = new TimeTriggerSettings();
bool timeTriggerSettingsChanged = false;

MotionTriggerSettings* motionTriggerSettings = new MotionTriggerSettings();
bool motionTriggerSettingsChanged = false;


Stairs* stairs;

bool shouldReboot = false;

uint32_t currentTime;

NTPClient* ntpClient = nullptr;
bool hasTimezone = false;
uint32_t timezoneOffset = 0;

IPAddress emptyIP(0, 0, 0, 0);
